Loading...
Searching...
No Matches
servermon::ServerMonitor::ServerPowerSettings Struct Reference

Settings for controlling and checking power state of the server. More...

`import "ServerMonitor.idl";`

## Public Attributes

boolean | enabled
| Power control for this server enabled.
Object | target
| Target for power control, Outlet or OutletGroup.
ServerPowerCheckMethod | powerCheck
| Method to check server's power state.
double | powerThreshold
| Active power below this threshold means server is off (in Watt)
int | timeout
| Seconds the power check takes before it ends / times out.
string | shutdownCmd
| Shutdown command to send to the server.
string | username
| Login used to issue shutdown command to the server.
string | password
| Password for the login, write-only, not set if empty.
int | sshPort
| SSH port of the server.

## Detailed Description

Settings for controlling and checking power state of the server.

Definition at line 57 of file ServerMonitor.idl.

## Member Data Documentation

## enabled

boolean servermon::ServerMonitor::ServerPowerSettings::enabled

Power control for this server enabled.

Definition at line 58 of file ServerMonitor.idl.

## password

string servermon::ServerMonitor::ServerPowerSettings::password

Password for the login, write-only, not set if empty.

Definition at line 65 of file ServerMonitor.idl.

## powerCheck

ServerPowerCheckMethod servermon::ServerMonitor::ServerPowerSettings::powerCheck

Method to check server's power state.

Definition at line 60 of file ServerMonitor.idl.

## powerThreshold

double servermon::ServerMonitor::ServerPowerSettings::powerThreshold

Active power below this threshold means server is off (in Watt)

Definition at line 61 of file ServerMonitor.idl.

## shutdownCmd

string servermon::ServerMonitor::ServerPowerSettings::shutdownCmd

Shutdown command to send to the server.

Definition at line 63 of file ServerMonitor.idl.

## sshPort

int servermon::ServerMonitor::ServerPowerSettings::sshPort

SSH port of the server.

Definition at line 66 of file ServerMonitor.idl.

## target

Object servermon::ServerMonitor::ServerPowerSettings::target

Target for power control, Outlet or OutletGroup.

Definition at line 59 of file ServerMonitor.idl.

## timeout

int servermon::ServerMonitor::ServerPowerSettings::timeout

Seconds the power check takes before it ends / times out.

Definition at line 62 of file ServerMonitor.idl.

## username

string servermon::ServerMonitor::ServerPowerSettings::username

Login used to issue shutdown command to the server.

Definition at line 64 of file ServerMonitor.idl.

The documentation for this struct was generated from the following file:

- ServerMonitor.idl